<form class="login-form animated" [ngClass]="{'bounceInRight':translate.currentLang === 'fa','bounceInLeft':translate.currentLang === 'en'}" [formGroup]="form" (ngSubmit)="login(form)" novalidate>
  <br>
  <h1 class="text-center">
    {{ 'login.~' | translate }}
  </h1>
  <br />
  <!-- Cellphone -->
  <div class="form-group">
    <input class="form-control" type="text" maxlength="11" id="username" name="input" [ngClass]="{'has-error': form.controls['input'].invalid && form.controls['input'].touched }" formControlName="input" placeholder="{{ 'login.cellphone' | translate }}" />    
    <div *ngIf="!form.controls['input'].valid && form.controls['input'].touched">
      <span class="text-danger" *ngIf="form.controls['input'].errors.required">{{ 'feedback.required' | translate }}</span>
      <span class="text-danger" *ngIf="form.controls['input'].errors.pattern">{{ 'feedback.invalid-cellphone' | translate }}</span>
    </div>
  </div>
  <!-- Password -->
  <div class="form-group">
    <div class="input-group">
      <input class="form-control" [type]="passInputType" maxlength="16" id="password" name="password" [ngClass]="{'has-error': form.controls['password'].invalid && form.controls['password'].touched }" formControlName="password" placeholder="{{ 'login.password' | translate }}" />
      <div class="input-group-addon" [ngSwitch]="passInputType">
        <div class="fa fa-eye" *ngSwitchCase="'password'" (click)="togglePasswordVisibility()" title="{{ 'auth.show-pass' | translate }}"></div>
        <div class="fa fa-eye-slash" *ngSwitchCase="'text'" (click)="togglePasswordVisibility()" title="{{ 'auth.hide-pass' | translate }}"></div>
      </div>
    </div>
    <div *ngIf="!form.controls['password'].valid && form.controls['password'].touched">
      <div class="text-danger" *ngIf="form.controls['password'].errors.required">{{ 'feedback.required' | translate }}</div>
      <div class="text-danger" *ngIf="form.controls['password'].errors.minlength">{{ 'feedback.minLength' | translate }}</div>
      <div class="text-danger" *ngIf="form.controls['password'].errors.maxlength">{{ 'feedback.maxLength' | translate }}</div>
    </div>
  </div>
  <div class="form-group">
    <button class="btn btn-success btn-lg w-100" type="submit"> <span class="fa fa-sign-in-alt"></span></button>
  </div>
  <div class="language">
    <select class="w-100" name="lang" id="lang" (change)="changeLang($event)">
      <option value="fa" id="fa">{{ 'language.fa' | translate }}</option>
      <option value="en" id="en">{{ 'language.en' | translate }}</option>
    </select>
  </div>
</form>
